Sind Themes vom Update betroffen?

Dieses Thema im Forum "Allgemeines" wurde erstellt von filament2k5, 27. Juli 2012.

  1. filament2k5

    filament2k5 Member

    Registriert seit:
    19. Januar 2010
    Beiträge:
    10
    Zustimmungen:
    0
    Hallo liebe Community,

    ich beabsichtige das Update auf 3.4 in den nächsten Tagen durchzuführen. Vorher wollte ich mich allerdings schlau machen, ob meine Template Dateien von dem Update in irgendeiner Weise betroffen sind?
    (Ich habe zahlreiche kleinere Änderungen vorgenommen, um mein Template an meine Bedürfnisse anzupassen. Diese Schritte möchte ich ungern erneut durchlaufen.)

    Insofern frage ich mich, welche Dateien eigentlich bei einem Update überschrieben werden? Das sollte doch eigentlich nur die Systemdateien von Wordpress sein oder nicht? Ich meine dazu sind die Templates ja vom Code getrennt in separaten Ordnern oder?

    Ich würde mich sehr freuen, wenn eventuell jemand dazu Stellung nehmen könnte.

    Viele Grüße
    Ronny
     
  2. bgeissler

    bgeissler Well-Known Member

    Registriert seit:
    6. August 2006
    Beiträge:
    4.406
    Zustimmungen:
    0
    Sie sind nur betroffen, wenn du eines der von WP mitgelieferten Themes (twentyten, twentyelven) verwendest und dort Änderungen gemacht hast. Das sicherst du dann am Besten und spielst es nach dem Update zurück.
    Besser du erstellst ein childtheme der o.gen. Themes.
     
  3. filament2k5

    filament2k5 Member

    Registriert seit:
    19. Januar 2010
    Beiträge:
    10
    Zustimmungen:
    0
    Nein es ist keines der Standardthemes. Habe es durch eine Firma erstellen lassen. Sichern würde ich es in jedem Fall sowieso vorher. Ist halt nur die Frage, ob ich alle Änderungen nochmal vornehmen müsste, wenn ich update.

    Das ist doch aber gut, wenn es nicht geändert wird.

    Dann erspare ich mir zumindest viel Arbeit ;)

    Danke für deine Hilfe.